<template>
  <div>
    <div class="card m-4">
      <div
        class="card-header d-flex align-items-center"
        style="background:#fff"
      >
        <h3 class="card-title">Profile</h3>
      </div>
      <div class="row p-3">
        <div class="col-md-3">
          <div class="card card-body box-profile text-center">
            <div class="text-center">
              <img
                class="profile-user-img img-fluid img-circle mt-3"
                src="https://1.bp.blogspot.com/-A7UYXuVWb_Q/XncdHaYbcOI/AAAAAAAAZhM/hYOevjRkrJEZhcXPnfP42nL3ZMu4PvIhgCLcBGAsYHQ/s1600/Trend-Avatar-Facebook%2B%25281%2529.jpg"
                alt=""
                style="width:140px;height:140px;border: 3px solid #adb5bd; border-radius: 50%;"
              />
            </div>
            <h4 class="profile-username my-3">{{ user.name }}</h4>
            <p class="text-muted">
              {{ getNameTeamById(user.team_id) }}
            </p>
            <h5 class="text-muted">
              {{ getNameRoleUserById(user.roles) }}
            </h5>
          </div>
        </div>
        <div class="col-md-9">
          <div class="card">
            <div class="card-header">
              <ul class="nav nav-pills">
                <li class="nav-item">
                  <a class="nav-link active" href="#" data-toggle="tab"
                    >Infor</a
                  >
                </li>
                <!-- <li class="nav-item">
                  <NuxtLink to="edit" class="nav-link">Settings</NuxtLink>
                </li> -->
              </ul>
            </div>
            <div class="card-body">
              <strong>Email</strong>
              <p class="text-muted">
                {{ user.email }}
              </p>
              <strong>Phone</strong>
              <p class="text-muted">
                {{ user.phone }}
              </p>
              <strong>Birthday</strong>
              <p class="text-muted">
                {{ user.birthday }}
              </p>
              <strong>Gender</strong>
              <p class="text-muted">
                {{ getNameGenderUserById(user.gender) }}
              </p>
              <strong>Address</strong>
              <p class="text-muted">
                {{ user.address }}
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="form-submit">
        <div class="form-group text-center p-3">
          <NuxtLink to="/user/" class="btn btn-outline-primary">Back</NuxtLink>
          <NuxtLink to="#" class="btn btn-outline-primary" data-toggle="modal"
            data-target="#exampleModal"
          >edit</NuxtLink>
        </div>
      </div>
      <!-- modal -->
        <div>
      <div
        class="modal fade"
        id="exampleModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="exampleModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">New User</h5>
            </div>
            <div class="modal-body">
              <UserCreateEdit :idUser="user.id"></UserCreateEdit>
            </div>
            <!-- <div class="modal-footer">
              <button
                type="button"
                @click="createTeame()"
                class="btn btn-primary"
                data-dismiss="modal"
              >
                create team
              </button>
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                Close
              </button>
            </div> -->
          </div>
        </div>
      </div>
    </div>
    </div>
  </div>
</template>

<script>
import { LIST_TEAM, GENDER, ROLE } from '~/assets/contants/contant.js'
export default {
  data() {
    return {}
  },
  props: ['user'],
  methods: {
    getNameTeamById(teamId) {
      const team = LIST_TEAM.find(team => team.id == teamId)
      return team && team.name
    },
    getNameGenderUserById(genderId) {
      const gender = GENDER.find(gender => gender.id == genderId)
      return gender && gender.name
    },
    getNameRoleUserById(roleId) {
      const role = ROLE.find(role => role.id == roleId)
      return role && role.name
    }
  }
}
</script>

<style>
.box-profile {
  border-top: 3px solid #007bff;
}
.card-body {
  box-shadow: 0 0 1px rgb(0 0 0 / 13%), 0 1px 3px rgb(0 0 0 / 20%);
  height: 100%;
}
</style>
